LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFormsSupplier Interface Referencepublished

provides the access to a collection of forms. More...

`import"XFormsSupplier.idl";`

Inheritance diagram for XFormsSupplier:

## Public Member Functions
com::sun::star::container::XNameContainer | getForms ()
| accesses the forms. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to a collection of forms.

## Member Function Documentation

## ◆ getForms()

com::sun::star::container::XNameContainer getForms | ( |  | ) |

accesses the forms.

REM ***** BASIC *****
Sub createColorSelectionBox
' create a new shape
xShape = thisComponent.createInstance( "com.sun.star.drawing.ControlShape" )
Dim aPos as new com.sun.star.awt.Point
aPos.X = 200
aPos.Y = 100
xShape.Position = aPos
Erase aPos
Dim aSize as new com.sun.star.awt.Size
aSize.Width = 2500
aSize.Height = 5000
xShape.Size = aSize
Erase aSize
' create a combo box model
xControlModel = thisComponent.createInstance( "com.sun.star.form.component.ComboBox" )
xControlModel.Name = "ColorSelection"
xControlModel.Text = "red"
' marry the shape and the model
xShape.Control = xControlModel
if ( 0 = thisComponent.DrawPage.Forms.getCount() ) Then
xForm = thisComponent.createInstance( "com.sun.star.form.component.DataForm" )
xForm.Name = "SampleForm"
thisComponent.DrawPage.Forms.insertByIndex( 0, xForm )
End If
' insert the control model into the first form of the forms collection of the
' draw page of the document
thisComponent.DrawPage.Forms.getByIndex(0).insertByIndex( 0, xControlModel )
thisComponent.DrawPage.add( xShape )
End Sub

Returns
  the container of all the top-level forms belonging to the component.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XFormsSupplier.idl